<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>


<body class="content">
<html:form action="/ApplyEjbContainersStatistic">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionListContainers"><bean:message key="tab.ejbcontainers"/></sj:tab>
  <sj:tab forward="ActionEditEjbContainersStatistic" selected="true"><bean:message key="tab.ejbcontainers.statistic"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:message key="title.ejbcontainers.statistic"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfBeanType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfBeanType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfBMPType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfBMPType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfCMPType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfCMPType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfSBFType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfSBFType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfSBLType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfSBLType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfMDBType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfMDBType"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>

    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:message key="title.ejb.monitoring"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
       <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.monitoringEnabled"/></sj:jgName>
        <sj:gridcol>
          <bean:define id="monitoringEnabled" name="ejbContainersStatisticForm" property="monitoringEnabled"/>
          <html:select property="monitoringEnabled" value="<%= monitoringEnabled.toString() %>">
            <bean:define id="colBooleanValues" name="ejbContainersStatisticForm" property="booleanValues"/>
            <html:options collection="colBooleanValues" property="value" labelProperty="label"/>
          </html:select>
        </sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.warningThreshold"/></sj:jgName>
        <sj:gridcol><html:text name="ejbContainersStatisticForm" property="warningThreshold"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.message.ifZeroNoLimit"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.applySettingsTo"/></sj:jgName>
        <sj:gridcol>
          <html:select property="applySettingsTo">
            <option value="none"><bean:message key="label.ejb.monitoring.applySettingsTo.none"/></option>
            <option value="nonDD" selected="selected"><bean:message key="label.ejb.monitoring.applySettingsTo.nonDD"/></option>
            <option value="all"><bean:message key="label.ejb.monitoring.applySettingsTo.all"/></option>
          </html:select>
        </sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.numberOfCalls"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbContainersStatisticForm" property="numberOfCalls"/></sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.totalBusinessProcessingTime"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbContainersStatisticForm" property="totalBusinessProcessingTime"/></sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.averageBusinessProcessingTime"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbContainersStatisticForm" property="averageBusinessProcessingTime"/></sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.totalProcessingTime"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbContainersStatisticForm" property="totalProcessingTime"/></sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.averageProcessingTime"/></sj:jgName>
        <sj:gridcol><bean:write name="ejbContainersStatisticForm" property="averageProcessingTime"/></sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
    </sj:jonasgrid>
    <sj:panelSeparator/>
    <sj:jonasgrid globalRowStyleClass="panel">
      <sj:gridrow>
        <sj:jgName></sj:jgName>
        <sj:gridcol>
          <html:button property="btn_apply" styleClass="button"
            onclick="submitForm('ejbContainersStatisticForm')">
            <bean:message key="button.apply"/>
          </html:button>
          &nbsp;&nbsp;
          <html:reset styleClass="button"><bean:message key="button.reset"/></html:reset>
        </sj:gridcol>
      </sj:gridrow>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>
</html:form>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

