<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionListServices" selected="true"><bean:message key="tab.services"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle>&nbsp;</sj:jgColTitle>
        <sj:jgColTitle><bean:message key="title.services.name"/></sj:jgColTitle>
      </sj:jgRowTitle>
      <logic:iterate id="item" indexId="index" name="listServices">
        <sj:gridrow>
          <!-- DEPLOYED -->
          <logic:equal name="item" property="deployed" value="true">
            <sj:gridcol align="center" width="5%"><html:img src="../images/icon/deployed.gif"/></sj:gridcol>
          </logic:equal>
          <logic:notEqual name="item" property="deployed" value="true">
            <sj:gridcol width="5%">&nbsp;</sj:gridcol>
          </logic:notEqual>
          <sj:gridcol>
            <!-- NAME and Link -->
            <logic:present name="item" property="forward">
              <bean:define id="dataForward" name="item" property="forward" type="java.lang.String"/>
              <html:link forward="<%=dataForward%>" styleClass="panel">
                <bean:write name="item" property="name"/>
              </html:link>
            </logic:present>
            <logic:notPresent name="item" property="forward">
              <bean:write name="item" property="name"/>
            </logic:notPresent>
          </sj:gridcol>
        </sj:gridrow>
      </logic:iterate>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

