<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ page import="org.apache.struts.Globals"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<html:form action="/ApplyContainersStatistic">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionListContainers"><bean:message key="tab.ejbcontainers"/></sj:tab>
  <sj:tab forward="Container"><bean:write name="containerForm" property="filename"/></sj:tab>
  <sj:tab forward="Container Statistic" selected="true"><bean:message key="tab.container.statistic"/></sj:tab>
  <sj:tab forward="Container Ejbs"><bean:message key="tab.container.ejbs"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <bean:define id="filenameJar" name="containerForm" property="filename"/>
        <sj:jgColTitle><bean:message key="title.container.statistic" arg0="<%=(String)filenameJar %>"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.container.statistic.currentNumberOfBeanType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfBeanType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.container.statistic.currentNumberOfBMPType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfBMPType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.container.statistic.currentNumberOfCMPType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfCMPType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.container.statistic.currentNumberOfSBFType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfSBFType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.container.statistic.currentNumberOfSBLType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfSBLType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.container.statistic.currentNumberOfMDBType"/></sj:jgName>
        <sj:jgValue><bean:write name="containerForm" property="currentNumberOfMDBType"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
    <sj:panelSeparator/>


  <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:message key="title.ejb.monitoring"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.monitoringEnabled"/></sj:jgName>
        <sj:gridcol>
          <bean:define id="monitoringEnabled" name="containerForm" property="monitoringEnabled"/>
          <html:select property="monitoringEnabled" value="<%= monitoringEnabled.toString() %>">
            <bean:define id="colBooleanValues" name="containerForm" property="booleanValues"/>
            <html:options collection="colBooleanValues" property="value" labelProperty="label"/>
          </html:select>
        </sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.warningThreshold"/></sj:jgName>
        <sj:gridcol><html:text name="containerForm" property="warningThreshold"/></sj:gridcol>
        <sj:gridcol width="60%"><bean:message key="comment.message.ifZeroNoLimit"/></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.numberOfCalls"/></sj:jgName>
        <sj:gridcol><bean:write name="containerForm" property="numberOfCalls"/></sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.totalBusinessProcessingTime"/></sj:jgName>
        <sj:gridcol><bean:write name="containerForm" property="totalBusinessProcessingTime"/></sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.averageBusinessProcessingTime"/></sj:jgName>
        <sj:gridcol><bean:write name="containerForm" property="averageBusinessProcessingTime"/></sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.totalProcessingTime"/></sj:jgName>
        <sj:gridcol><bean:write name="containerForm" property="totalProcessingTime"/></sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejb.monitoring.averageProcessingTime"/></sj:jgName>
        <sj:gridcol><bean:write name="containerForm" property="averageProcessingTime"/></sj:gridcol>
        <sj:gridcol width="60%"></sj:gridcol>
      </sj:gridrow>
    </sj:jonasgrid>
    <sj:panelSeparator/>

    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:message key="title.ejbcontainers.statistic"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfBeanType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfBeanType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfBMPType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfBMPType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfCMPType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfCMPType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfSBFType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfSBFType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfSBLType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfSBLType"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.ejbcontainers.statistic.totalCurrentNumberOfMDBType"/></sj:jgName>
        <sj:jgValue><bean:write name="ejbContainersStatisticForm" property="totalCurrentNumberOfMDBType"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
    <sj:panelSeparator/>
    <sj:jonasgrid globalRowStyleClass="panel">
      <sj:gridrow>
        <sj:jgName></sj:jgName>
        <sj:gridcol>
          <html:button property="btn_apply" styleClass="button"
            onclick="submitForm('containerForm')">
            <bean:message key="button.apply"/>
          </html:button>
          &nbsp;&nbsp;
          <html:reset styleClass="button"><bean:message key="button.reset"/></html:reset>
        </sj:gridcol>
      </sj:gridrow>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>
</html:form>
<%@ include file="../common/end.jsp" %>
</body>
</html:html>

